Add line

This endpoint allows you to add a new subscription line item in a subscription contract.

Token scope - Read & write subscription contracts

Rate limit - Global pool (i.e. 50 requests per second per domain)

Path param explained :

  • subscriptionId Id of the subscription. This can be passed in the following format :
    • {id} - where id is the Loop internal id of the subscription contract. This is the default path param format.
    • loop-{id} - where id is the Loop internal id of the subscription contract.
    • shopify-${id} - Where id is the shopifySubscriptionId of the subscription contract.

Body parameters explained

  • sellingPlanGroupId - The sellingPlanGroupId refers to the selling plan group ID associated with the variant that will be added.
    • If the sellingPlanGroupId is not provided, the system will assign the plan based on the priority of the available selling plan groups.
    • If the provided sellingPlanGroupId is invalid or does not exist, an error will be thrown.
Path Params
int32
required

The unique identifier of the subscription in Loop.

Body Params
int64
required

Shopify ID of the variant

int32

Line item quantity

int32

The sellingPlanGroupId which has to be applied on the line

boolean

This key allows you to track upsell analytics by indicating whether an item is an upsell or not

string
enum
Allowed:
customDiscount
object

To apply a custom discount, set the pricingType parameter to CUSTOM

customAttributes
array of objects
customAttributes
string
string
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json